---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: hhb-backendburgers
  labels:
    name: hhb-backendburgers
spec:
  replicas: 1
  selector:
    matchLabels:
      name: hhb-backendburgers
  template:
    metadata:
      labels:
        name: hhb-backendburgers
    spec:
      containers:
        - name: hhb-backendburgers
          image: backendburgers
          imagePullPolicy: Always
          ports:
            - name: http
              containerPort: 8080
              protocol: TCP
          startupProbe:
            httpGet:
              path: /.well-known/apollo/server-health
              port: http
            periodSeconds: 10
            failureThreshold: 60
          livenessProbe:
            httpGet:
              path: /.well-known/apollo/server-health
              port: http
            periodSeconds: 10
          readinessProbe:
            httpGet:
              path: /.well-known/apollo/server-health
              port: http
            periodSeconds: 10
          resources:
            limits:
              cpu: "300m"
              memory: 256Mi
            requests:
              cpu: 100m
              memory: 128Mi
          env:
            - name: HUISHOUDBOEKJESERVICE_URL
              value: "http://hhb-huishoudboekjeservice"
            - name: ORGANISATIESERVICE_URL
              value: "http://hhb-organisatieservice"
            - name: BANKTRANSACTIESERVICE_URL
              value: "http://hhb-banktransactieservice"
            - name: APP_PORT
              value: "8080"
